-- ----------------------------------
-- Add active column to control_area
-- ----------------------------------
ALTER TABLE `ic_check` 
	ADD COLUMN `area_name` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `area_description` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `area_extra_information` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `created_by` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `group_name` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `group_description` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `system_location` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `dependencies` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `criticality` int(1) NULL DEFAULT 0 AFTER `control_id`,
	ADD COLUMN `name` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `reference_to_risk` varchar(64) NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `days` int NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_purpose` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_description` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_execution` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_parameters` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_documentation` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `mitigation_reaction` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `frequency` int(2) DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `start_date` timestamp NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `gdpr_active` tinyint(1) NULL DEFAULT 0 AFTER `control_id`,
	ADD COLUMN `gdpr_text` text NULL DEFAULT NULL AFTER `control_id`,
	ADD COLUMN `approval_not_required` tinyint(1) NULL DEFAULT 0 AFTER `control_id`,
	ADD COLUMN `send_mail` tinyint(1) NULL DEFAULT 0 AFTER `control_id`,
	ADD COLUMN `active` tinyint(1) NULL DEFAULT 1 AFTER `control_id`,
	ADD COLUMN `derived` tinyint(1) NULL DEFAULT 0 AFTER `control_id`;